Get With Attributes
curl --request GET \
--url https://api.nebius.cloud/iam/v1/group-memberships/get-with-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/iam/v1/group-memberships/get-with-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/iam/v1/group-memberships/get-with-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
},
"groupMemberKind": {
"kind": "KIND_UNSPECIFIED"
},
"groupMembership": {
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"revokeAt": "2023-11-07T05:31:56Z",
"spec": {
"memberId": "<string>"
},
"status": {
"groupMemberMetadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"serviceAccountStatus": {
"active": true
},
"tenantUserAccountStatus": {
"federationId": "<string>",
"invitationId": "<string>",
"state": "STATE_UNSPECIFIED",
"userAccountState": "STATE_UNSPECIFIED"
}
}
},
"serviceAccountAttributes": {
"description": "<string>",
"name": "<string>"
},
"userAttributes": {
"email": "<string>",
"emailVerified": true,
"familyName": "<string>",
"givenName": "<string>",
"locale": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"phoneNumberVerified": true,
"picture": "<string>",
"preferredUsername": "<string>",
"sub": "<string>",
"zoneinfo": "<string>"
}
}group-memberships
Get With Attributes
GET
/
iam
/
v1
/
group-memberships
/
get-with-attributes
Get With Attributes
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Response
200 - application/json
A successful response.
see also nebius/iam/v1/tenant_user_account.proto/TenantUserAccountWithAttributes
in a case of issues of getting attributes from pds service, we can still return some data from cpl
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
filled with known data for members corresponding to service accounts left unset for any kind of tenant user accounts
Show child attributes
Show child attributes
filled with known data for members corresponding to tenant user accounts and provisional tenant user accounts (invitees) left unset for service accounts
Show child attributes
Show child attributes
Was this page helpful?